import { app, BrowserWindow } from 'electron';
import { join } from 'path';
let win: BrowserWindow = null;

app.on('ready', () => {
    win = new BrowserWindow({
        height: 600,
        width: 1000,
        frame: false,
        resizable: true,
        title: "OffPass",
        webPreferences: {
            nodeIntegration: true,
            enableRemoteModule: true
        },
        backgroundColor: '#1c1c1c',
        icon: join(__dirname, '../src/assets/icon.png')
    });
    win.loadFile('html/index.html');
});

app.on('window-all-closed', () => {
    process.exit(0);
});